#ifndef DOMAINPOINT_H_
#define DOMAINPOINT_H_

#include "DomainType.h"
#include "../dataType/Matrix.h"

class DomainPoint
{
	
public:
	DomainType* domainType;
	
	/*
	 * A vector with "domainOrder" 1D matrices.
	 * 
	 * The "i-th" 1D matrix has "domainMultiDimension[i]+1" elements and sum 1.
	 * 
	 */
	Matrix** value;
	
public:
	DomainPoint();
	virtual ~DomainPoint();
};

#endif /*DOMAINPOINT_H_*/
